org.apache.ignite.cache.store.cassandra.session

## Class WrappedPreparedStatement

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.session.WrappedPreparedStatement

- All Implemented Interfaces:
    com.datastax.driver.core.PreparedStatement

      public class WrappedPreparedStatement
      extends Object
      implements com.datastax.driver.core.PreparedStatement

  Simple wrapper providing access to Cassandra prepared statement and generation of Cassandra session which was used to create this statement

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.datastax.driver.core.BoundStatement` | `bind()`
    `com.datastax.driver.core.BoundStatement` | `bind(Object... values)`
    `com.datastax.driver.core.PreparedStatement` | `disableTracing()`
    `com.datastax.driver.core.PreparedStatement` | `enableTracing()`
    `com.datastax.driver.core.CodecRegistry` | `getCodecRegistry()`
    `com.datastax.driver.core.ConsistencyLevel` | `getConsistencyLevel()`
    `Map<String,ByteBuffer>` | `getIncomingPayload()`
    `Map<String,ByteBuffer>` | `getOutgoingPayload()`
    `com.datastax.driver.core.PreparedId` | `getPreparedId()`
    `String` | `getQueryKeyspace()`
    `String` | `getQueryString()`
    `com.datastax.driver.core.policies.RetryPolicy` | `getRetryPolicy()`
    `ByteBuffer` | `getRoutingKey()`
    `com.datastax.driver.core.ConsistencyLevel` | `getSerialConsistencyLevel()`
    `com.datastax.driver.core.ColumnDefinitions` | `getVariables()`
    `com.datastax.driver.core.PreparedStatement` | `getWrappedStatement()` Getter for wrapped statement.
    `Boolean` | `isIdempotent()`
    `boolean` | `isTracing()`
    `com.datastax.driver.core.PreparedStatement` | `setConsistencyLevel(com.datastax.driver.core.ConsistencyLevel consistency)`
    `com.datastax.driver.core.PreparedStatement` | `setIdempotent(Boolean idempotent)`
    `com.datastax.driver.core.PreparedStatement` | `setOutgoingPayload(Map<String,ByteBuffer> payload)`
    `com.datastax.driver.core.PreparedStatement` | `setRetryPolicy(com.datastax.driver.core.policies.RetryPolicy policy)`
    `com.datastax.driver.core.PreparedStatement` | `setRoutingKey(ByteBuffer... routingKeyComponents)`
    `com.datastax.driver.core.PreparedStatement` | `setRoutingKey(ByteBuffer routingKey)`
    `com.datastax.driver.core.PreparedStatement` | `setSerialConsistencyLevel(com.datastax.driver.core.ConsistencyLevel serialConsistency)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getWrappedStatement

          public com.datastax.driver.core.PreparedStatement getWrappedStatement()

      Getter for wrapped statement.
      Returns:
        Wrapped original statement.

    - #### getVariables

          public com.datastax.driver.core.ColumnDefinitions getVariables()

      Specified by:
        `getVariables` in interface `com.datastax.driver.core.PreparedStatement`

    - #### bind

          public com.datastax.driver.core.BoundStatement bind(Object... values)

      Specified by:
        `bind` in interface `com.datastax.driver.core.PreparedStatement`

    - #### bind

          public com.datastax.driver.core.BoundStatement bind()

      Specified by:
        `bind` in interface `com.datastax.driver.core.PreparedStatement`

    - #### setRoutingKey

          public com.datastax.driver.core.PreparedStatement setRoutingKey(ByteBuffer routingKey)

      Specified by:
        `setRoutingKey` in interface `com.datastax.driver.core.PreparedStatement`

    - #### setRoutingKey

          public com.datastax.driver.core.PreparedStatement setRoutingKey(ByteBuffer... routingKeyComponents)

      Specified by:
        `setRoutingKey` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getRoutingKey

          public ByteBuffer getRoutingKey()

      Specified by:
        `getRoutingKey` in interface `com.datastax.driver.core.PreparedStatement`

    - #### setConsistencyLevel

          public com.datastax.driver.core.PreparedStatement setConsistencyLevel(com.datastax.driver.core.ConsistencyLevel consistency)

      Specified by:
        `setConsistencyLevel` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getConsistencyLevel

          public com.datastax.driver.core.ConsistencyLevel getConsistencyLevel()

      Specified by:
        `getConsistencyLevel` in interface `com.datastax.driver.core.PreparedStatement`

    - #### setSerialConsistencyLevel

          public com.datastax.driver.core.PreparedStatement setSerialConsistencyLevel(com.datastax.driver.core.ConsistencyLevel serialConsistency)

      Specified by:
        `setSerialConsistencyLevel` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getSerialConsistencyLevel

          public com.datastax.driver.core.ConsistencyLevel getSerialConsistencyLevel()

      Specified by:
        `getSerialConsistencyLevel` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getQueryKeyspace

          public String getQueryKeyspace()

      Specified by:
        `getQueryKeyspace` in interface `com.datastax.driver.core.PreparedStatement`

    - #### enableTracing

          public com.datastax.driver.core.PreparedStatement enableTracing()

      Specified by:
        `enableTracing` in interface `com.datastax.driver.core.PreparedStatement`

    - #### disableTracing

          public com.datastax.driver.core.PreparedStatement disableTracing()

      Specified by:
        `disableTracing` in interface `com.datastax.driver.core.PreparedStatement`

    - #### isTracing

          public boolean isTracing()

      Specified by:
        `isTracing` in interface `com.datastax.driver.core.PreparedStatement`

    - #### setRetryPolicy

          public com.datastax.driver.core.PreparedStatement setRetryPolicy(com.datastax.driver.core.policies.RetryPolicy policy)

      Specified by:
        `setRetryPolicy` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getRetryPolicy

          public com.datastax.driver.core.policies.RetryPolicy getRetryPolicy()

      Specified by:
        `getRetryPolicy` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getPreparedId

          public com.datastax.driver.core.PreparedId getPreparedId()

      Specified by:
        `getPreparedId` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getIncomingPayload

          public Map<String,ByteBuffer> getIncomingPayload()

      Specified by:
        `getIncomingPayload` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getOutgoingPayload

          public Map<String,ByteBuffer> getOutgoingPayload()

      Specified by:
        `getOutgoingPayload` in interface `com.datastax.driver.core.PreparedStatement`

    - #### setOutgoingPayload

          public com.datastax.driver.core.PreparedStatement setOutgoingPayload(Map<String,ByteBuffer> payload)

      Specified by:
        `setOutgoingPayload` in interface `com.datastax.driver.core.PreparedStatement`

    - #### getCodecRegistry

          public com.datastax.driver.core.CodecRegistry getCodecRegistry()

      Specified by:
        `getCodecRegistry` in interface `com.datastax.driver.core.PreparedStatement`

    - #### setIdempotent

          public com.datastax.driver.core.PreparedStatement setIdempotent(Boolean idempotent)

      Specified by:
        `setIdempotent` in interface `com.datastax.driver.core.PreparedStatement`

    - #### isIdempotent

          public Boolean isIdempotent()

      Specified by:
        `isIdempotent` in interface `com.datastax.driver.core.PreparedStatement`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023